> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ezytail.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all articles stock

> Fetch last articles stock with optional date snapshot, limited to 100 results



## OpenAPI

````yaml get /articles/stock
openapi: 3.0.4
info:
  title: EzyConnect API
  description: API to Ezytail Logistics Platform
  contact:
    name: Ezytail
    url: https://ezytail.com
    email: contact@ezytail.com
  version: v1
servers: []
security:
  - Bearer: []
paths:
  /articles/stock:
    get:
      tags:
        - Articles
      summary: Get all articles stock
      description: >-
        Fetch last articles stock with optional date snapshot, limited to 100
        results
      operationId: GetStock
      parameters:
        - name: atDate
          in: query
          schema:
            type: string
            format: date-time
        - name: filter
          in: query
          schema:
            type: string
        - name: sort
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ArticleStock'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ArticleStock'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ArticleStock'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: Internal Server Error
        default:
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    ArticleStock:
      type: object
      properties:
        id:
          type: integer
          format: int64
        dateCreation:
          title: DATECREATION
          type: string
          format: date-time
        dateLastUpdate:
          title: DATELASTUPDATE
          type: string
          format: date-time
          nullable: true
        activityCode:
          title: CODACTI
          maxLength: 3
          type: string
          nullable: true
          x-tags:
            - Activité
        stockImageExtractionDate:
          title: DATESTK
          type: string
          description: Date d'extraction de l'image de stock *
          format: date-time
          nullable: true
        articleReference:
          title: CODARTI
          maxLength: 17
          type: string
          description: Référence article *
          nullable: true
          x-tags:
            - Entête Article
        stockUnitID:
          title: CODPROP
          maxLength: 3
          type: string
          description: Identifiant de l'unité de stockage *
          nullable: true
        totalStockQuantity:
          title: QTTETOT
          type: integer
          description: Quantité totale en stock *
          format: int32
          nullable: true
        notStartedProductionQuantity:
          title: QTENLAN
          type: integer
          description: Quantité non lancée en production *
          format: int32
          nullable: true
        inProgressPreparationQuantity:
          title: QTEPREP
          type: integer
          description: Quantité totale en cours de préparation *
          format: int32
          nullable: true
        totalAvailableForSaleQuantity:
          title: QTEDISP
          type: integer
          description: Quantité totale disponible a la vente *
          format: int32
          nullable: true
        totalBlockedQuantity:
          title: QTEIMMO
          type: integer
          description: Quantité totale immobilisé *
          format: int32
          nullable: true
        logisticsDefinedPCB:
          title: PCBARTI
          type: integer
          description: PCB de l'article défini chez le logisticien *
          format: int32
          nullable: true
        articleLotNumber:
          title: NUMRLOT
          maxLength: 35
          type: string
          description: N° du lot des articles *
          nullable: true
        oldestReceptionDate:
          title: DRECMIN
          type: string
          description: Date de réception la plus ancienne
          format: date-time
          nullable: true
        newestReceptionDate:
          title: DRECMAX
          type: string
          description: Date de réception la plus récente
          format: date-time
          nullable: true
        oldestSaleDeadlineDate:
          title: DLVMINI
          type: string
          description: Date limite de vente la plus ancienne
          format: date-time
          nullable: true
        newestSaleDeadlineDate:
          title: DLVMAXI
          type: string
          description: Date limite de vente la plus récente
          format: date-time
          nullable: true
        gradeCode:
          title: RCODEQUALITE
          type: string
          nullable: true
        dateProcessed:
          title: DATEPROCESSED
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    Bearer:
      type: oauth2
      description: |-
        JWT Authorization header using the Bearer scheme. \r\n\r\n 
                          Enter 'Bearer' [space] and then your token in the text input below.
                          \r\n\r\nExample: 'Bearer 12345abcdef'
      flows:
        authorizationCode:
          authorizationUrl: https://auth.ezytail.com/connect/authorize
          tokenUrl: https://auth.ezytail.com/connect/token
          scopes:
            ezy_connect: EzyConnect API Scope

````